/* 
 * HS-KL / Jürgen Edel
 * Akkuspannung Messen
 * Akku (Spannungsteiler an A6)
 * Spannungsteiler 100k zu 47k
 * analogwert wird an 47k Widerstand gemessen
 * 
 */


// Anschlusspin Spannungsteiler zuweisen "Spannungsteiler 100k zu 47k"
const int Batterie=A6; // Anschlusspin für Spannungsteiler Pin6 (A6)

// Variable zuweisen
float Messen=0;        // Variable Wert am Spannungsteiler (Spannung über 47 kOhm Widerstand
float Batt=0;          // Umrechnung des Analogertes in Volt

void setup()

{
 
 pinMode(Batterie,INPUT);  // Eingangspin für Spannungsteiler A6 als Eingang definieren

}

// -----------------------------------------------Hauptprogramm-------------------
void loop()
{
 
  Messen=analogRead(Batterie);  // Messen der Spannung am Spanungsteiler
  Batt=(Messen*147)/47*5/1023;  // Berechnung der Batteriespannung in Volt
  
}
