/*
 * Testprogramm Bodensensoren
 * Sensor rechts an D11
 * Sensor links an D13
 * Sensor mitte an A3
 * Sensoren rechts und links erkennen nur 1(High) oder 0(LOW)
 * Schwarzer untergrung ist 0(LOW)
 * Sensor mitte liefert einen Zahlenwert von 0-1023
 * Schwarzer Untergrung hoher Zahlenwert, heller Untergrund kleiner Zahlenwert
 * HS-KL / Jürgen Edel
 */

// PIN zuweisung Bodensensor
const int BSR=11;      // Bodensensor rechts D11
const int BSM=A3;      // Bodensensor mitte A3
const int BSL=13;      // Bodensensor links D13

// Variable zuweisen
int BL;           // Variable Bodensensor links
int BM;           // Variable Bodensensor mitte
int BR;           // Variable Bodensensor rechts

// Ein und Ausgänge deklarieren
void setup() 
{
  Serial.begin (9600);
  pinMode(BSR,INPUT);    // Bodensensor rechts Pin D11 Eingang
  pinMode(BSM,INPUT);    // Bodensensor mitte  Pin A3 Eingang
  pinMode(BSL,INPUT);    // Bodensensor links  Pin D13 Eingang
}


//-------------------------Hauptprogramm----------------------------------
void loop() 
{
  BR=digitalRead(BSR);   // Einlesen der Informartion vom rechten Bodensensor
  BM=analogRead(BSM);    // Einlesen der Information vom mittleren Bodensensor
  BL=digitalRead(BSL);   // Einlesen der Information vom linken Bodensensor


  delay(500);           // Eine halbe Sekunde Pause bis zur nächten Messung
  
}
