
/*
LCD Test TWI Controller und Arduino Nan
Jürgen Edel hs-kl
*/

// Bibliothek einbinden 
#include <Wire.h>
#include <LCD.h>
#include <LiquidCrystal_I2C.h>

// Definieren der Pins am TWI Controller
#define I2C_ADDR    0x27                // Adresse I2C Bus
#define Hintergrund 3                   // Pin Hintergrundbeleuchtung
#define En_pin  2                       // Pin Zuweisungen
#define Rw_pin  1
#define Rs_pin  0
#define D4_pin  4
#define D5_pin  5
#define D6_pin  6
#define D7_pin  7

LiquidCrystal_I2C  lcd(I2C_ADDR,En_pin,Rw_pin,Rs_pin,D4_pin,D5_pin,D6_pin,D7_pin);

void setup()
{
 lcd.begin (16,2);   // Zeichen, Zeilen

}

// Hauptprogramm
void loop()
{
  // Beleuchtung Anschalten
 lcd.setBacklightPin(Hintergrund,POSITIVE);  // pin 3 setzen Hintergrundbeleuchtung
 lcd.setBacklight(HIGH);                     // Hintergrundbeleuchtung einschalten
 
 // Ausgabe auf Dislpay
 lcd.setCursor (0,0);            // Cursor auf erste Zeile
 lcd.print("8888888888888888");  // Text ausgeben
 lcd.setCursor (0,1);            // Cursor auf zweite Zeile
 lcd.print("8888888888888888");  // Text ausgeben
 delay(1000);
 
}
