
/* Ultraschall Testprogramm
 * Jürgen Edel hs-kl
 * trigger an D7
 * echo an D8
  */
  
// Pin zuweisen
const int trigger=7;            // trigger an pin D7
const int echo=8;               // echo an pin D8

// Variable zuweisen
int dauer=0;                    // Zeitdauer des US impulses

// Ein und Ausgänge deklarieren
void setup()
{
  pinMode(trigger, OUTPUT);     // Pin D7 als Ausgang delarieren
  pinMode(echo, INPUT);         // Pin D8 als Eingang deklarieren
}

// Hautprogramm
void loop()
{
  digitalWrite(trigger, LOW);    // Trigger auf Low setzen
  delayMicroseconds(2);
  digitalWrite(trigger, HIGH);   // für 5 Microsekunden signal senden
  delayMicroseconds(5);
  digitalWrite(trigger, LOW);    // trigger abschalten
  dauer = pulseIn(echo, HIGH);   // dauer des Echosignals messen
  delay(1000);                   // Pause von einer sekunde bis zur nächsten messung

}
