
/* Entfernungsmessung mit Sharp IR Sensor 2Y0A41
 * Spannung über analogPort einlesen
 * Sensor links an A2
 * Sensor rechts an A0
 * Sensor mitte an A1
 * Jürgen Edel HS-KL
 */

// Anschlusspin zuweisen
const int SL=A2;       // Anschluss linker Sensor an Pin A2
const int SR=A0;       // Anschluss rechter Sensor an Pin A0
const int SM=A1;       // Mittlerer Sensor Pin A1
// Variable zuweisen
int WSL=0;             // Wert Sensor links
int WSR=0;             // Wert Sensor rechts
int WSM=0;             // Wert Sensor mitte

void setup()   
{
  Serial.begin (9600);
}

void loop()
{
    WSL=analogRead(SL); // spannung linker sensor einlesen 
    WSR=analogRead(SR); // spannung rechter sensor einlesen
    WSM=analogRead(SM); // spannung mittlerer sensor einlesen
    delay(1000);        // 1 sek. Pause bis zur nächten Messung

}
